# 60. Mutation: 施用実績ベースの「ZonesMap」を非同期生成

「Field」のAs-Appliedベースの「ZonesMap」を非同期で生成します。

{% hint style="info" %}
非同期アプローチは、処理するタスク（Generate "generateAsAppliedVectorAnalysisMap"）を投入し、処理完了後にサブスクリプションが受信されます。
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateAsAppliedZonesMapAsync {
  generateAsAppliedVectorAnalysisMapAsync(
    input: {
      fieldUuid: "<placeholder_of_field_uuid>"
      name: "actual"
      numberOfZones: 3
      asAppliedAttribute: "actual"
      asAppliedDatasetUuid: "<placeholder_of_as_applied_dataset_uuid>"
    }
  ) {
    uuid
    fieldUuid
    statusCode
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/60-mutation-bsunozonesmapwo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
